Bug 730706 (CVE-2011-2918) - CVE-2011-2918 kernel: perf: Fix software event overflow
Summary: CVE-2011-2918 kernel: perf: Fix software event overflow
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2011-2918
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20110722,reported=20110722,sou...
Depends On: 730707 730708 730709 761361
Blocks: 730648
TreeView+ depends on / blocked
 
Reported: 2011-08-15 13:18 UTC by Petr Matousek
Modified: 2019-06-08 18:53 UTC (History)
23 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-05-10 12:59:23 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1350 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2011-10-05 21:47:16 UTC
Red Hat Product Errata RHSA-2012:0333 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2012-02-24 01:21:35 UTC

Description Petr Matousek 2011-08-15 13:18:36 UTC
Under certain circumstances software event overflows go wrong and deadlock. Avoid trying to delete a timer from the timer callback.

Upstream fix:
a8b0ca17b80e92faab46ee7179ba9e99ccb61233

References:
https://lkml.org/lkml/2011/7/27/337
https://lkml.org/lkml/2011/7/28/284

Comment 3 Petr Matousek 2011-08-15 13:44:28 UTC
Statement:

This issue did not affect Red Hat Enterprise Linux 4 and 5 as they did not include support for perf. This has been addressed in Red Hat Enterprise Linux 6 and Red Hat Enterprise MRG via https://rhn.redhat.com/errata/RHSA-2011-1350.html and https://rhn.redhat.com/errata/RHSA-2012-0333.html.

Comment 5 errata-xmlrpc 2011-10-05 21:48:02 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:1350 https://rhn.redhat.com/errata/RHSA-2011-1350.html

Comment 7 errata-xmlrpc 2012-02-23 20:22:48 UTC
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2012:0333 https://rhn.redhat.com/errata/RHSA-2012-0333.html


Note You need to log in before you can comment on or make changes to this bug.